#ifndef SHORT_ADDR_CFG_HPP_
#define SHORT_ADDR_CFG_HPP_
#include <stdint.h>
#include <map>

#define BASE_RELATION   "/opt/configenv/base_relation.json"

class ShortAddrCfg {
public:
    static int ReadCfg(std::map<uint16_t, int> &short_addr_map);
    static int WriteCfg(std::map<uint16_t, int> &short_addr_map);
    static void ClearCfg();
};

#endif // SHORT_ADDR_CFG_HPP_